/***************************************************************************
 Copyright (C) 2007 Christoph Reichenbach <reichenb@colorado.edu>

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public Licence as
 published by the Free Software Foundaton; either version 2 of the
 Licence, or (at your option) any later version.

 It is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 merchantability or fitness for a particular purpose. See the
 GNU General Public Licence for more details.

 You should have received a copy of the GNU General Public Licence
 along with this program; see the file COPYING. If not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.

***************************************************************************/

package edu.colorado.cs;

public class IceMelterItem extends Item
{
	private boolean consumed = false;
	protected String melt_description;

	public IceMelterItem(StorageInterface storage, String name, String description, String melt_description)
	{
		super(storage, name, description);
		this.melt_description = melt_description;
	}

	public void
	meltIce()
	{
		System.out.println(this.melt_description);
		consumed = true;
	}

	public Item
	pickUp()
	{
		if (consumed) {
			System.out.println("You can't pick it up anymore.");
			return null;
		} else
			return this;
	}
}
